<?php header('Content-Type: text/html; charset=windows-1251'); ?>
<html><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Отчет по доступу</title>
<style>
td {color:#316290;font-family:tahoma;font-size:11px;font-weight:normal;}
</style>
</head>
<body background="../d~e~f/bkg.gif">
<center><h2>Отчет "Субъекты и их доступ к страницам"</h2>
<table border="1"><tbody>
<?php
//--------------
include "../f.php";   //  вставим функции перекодировки  имен файлов и удаления папки
//--------------
$kat=getcwd ( );
$ll = file($kat."/otd.txt");
$otd=array();
$i=0;
foreach ($ll as $li => $linn)
{if (strlen($linn)>2) {$otd[$i++]=c($linn,0);}}
$page = file($kat."/page.txt");
$строк=count($page); // количество строк
$столбцов=count($otd); // количество столбцов
$l = file($kat."/otd.txt");

// Осуществим проход массива и выведем номера строк и их содержимое
foreach ($page as $i => $z)
 {if ($i==0)  //  для перврй строки таблицы страниц файл -
  {
   foreach ($otd as $i_otd => $z_otd) // возьмем данные из отделов - краткое наименование
    {
	if ($i_otd==0)  // 
    {
	 echo "<tr><td>&nbsp</td>\n";
    }  // пустая клетка
    else  // сами строки
    {
	$zs_otd=explode("/", $z_otd); // получим их
     echo '<td  title="'.$zs_otd[1].'">'.$zs_otd[0]."</td>\n";
	}
	}
echo "</tr>";
}
 else
 {$zs=explode("/", $z); // получим их
 echo "<tr><td>".$zs[0]."</td>";
 foreach ($otd as $ii_otd => $zz_otd) // возьмем данные из отделов - краткое наименование
  {if ($ii_otd>0) 
  {$zss_otd=explode("/", $zz_otd); // получим их
 // $zs[1]  - имя файла страницы
 // $zss_otd[3]  - список доступа отдела
 //echo $zss_otd[3]."=>". trim($zs[1])."<br>";
 if (strpos(" ".$zss_otd[3],str_replace('.htm','',trim($zs[1])))>0)
 {
 echo '<td style="background:green"><b>+</b></td>';
 }
 else
 {
 echo "<td>&nbsp</td>";
 }

//echo  $zs[1]."<br>"; 
//echo  $zss_otd[3]."<br>"; 
//break;
 }
 }
/*
 for ($ii=1; $ii<$столбцов;$ii++)
 { 
 //if (strpos($zs_otd[3],$zs[1])>0) 
 { echo "<td>".$zs_otd[3]."</td>";}
 }
*/

 echo "</tr>\n";
 
 }}  // выведем наименование сираниц
?>
</tbody></table></center>